File: Gemfile

package info (click to toggle)
ruby-coveralls 0.8.22-2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 260 kB
  • sloc: ruby: 1,218; makefile: 8
file content (41 lines) | stat: -rw-r--r-- 826 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
source 'https://rubygems.org'

# Specify your gem's dependencies in coveralls-ruby.gemspec
gemspec

gem 'rake', Gem::Version.new(RUBY_VERSION) < Gem::Version.new('1.9.3') ? '~> 10.3' : '>= 10.3'
gem 'rspec', '>= 3.2'
gem 'simplecov', :require => false
gem 'truthy', '>= 1'

if Gem::Version.new(RUBY_VERSION) < Gem::Version.new('1.9')
  gem 'vcr', '~> 2.9'
  gem 'webmock', '~> 1.20'
else
  gem 'vcr', '>= 2.9'
  gem 'webmock', '>= 1.20'
end

platforms :ruby_18 do
  gem 'addressable', '~> 2.3.8', :group => :test
  gem 'mime-types', '~> 1.25'
end

platforms :ruby_18, :ruby_19 do
  gem 'json', '~> 1.8'
  gem 'term-ansicolor', '~> 1.3.0'
  gem 'tins', '~> 1.6.0'
end

platforms :jruby do
  gem 'jruby-openssl'
end

platform :rbx do
  gem 'rubysl', '~> 2.0'
  gem 'rubinius-developer_tools'
end

group :test do
  gem 'pry'
end